<form role="form" class="form-horizontal" id="create_vehicle_form" action="#" method="post">
<input type="hidden" value="<?php echo $type;?>" name="type" id="type"/>
<input type="hidden" value="<?php echo $vehicle_id;?>" name="vehicle_id" id="vehicle_id"/>
<div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title"><?php echo $pageName;?></h4>
            <font style="color:#333;">Please fill in the information below. The field labels marked with * are required input fields.</font>
            </div>
    <div class="col-md-12">
        
    </div>              
            <div class="modal-body">
            <div id="error"></div>
                <div class="row">
                <div class="col-md-12">
                    <div class="col-md-12">
                    <!--<h5>Parent Category *</h5>
                    <p>
                        <div class="form-group">
                            <select id="form-field-select-3" class="form-control search-select">
                                <option value="">&nbsp;</option>
                                <option value="AL">Alabama</option>
                                <option value="AK">Alaska</option>
                                <option value="AZ">Arizona</option>
                             </select>
                        </div>
                    </p>-->
                    <div class="form-group">
                        <h5>
                        <label class="control-label">
							 Code*
						</label></h5>
                            <input type="text" <?php echo (isset($vehicles_details['vehicle_code']))?'value="'.$vehicles_details['vehicle_code'].'"':null;?> class="form-control" name="vehicle_code" id="vehicle_code" <?php if (isset($type)) if($type=='E') echo 'readonly';?>>
                    </div>
                    <div class="form-group">
                        <h5>
                        <label class="control-label">
							 vehicle Description*
						</label></h5>
                            <input type="text" <?php echo (isset($vehicles_details['vehicle_name']))?'value="'.$vehicles_details['vehicle_name'].'"':null;?> class="form-control" name="vehicle_name" id="vehicle_name">
                    </div>
                    <div class="form-group">
                    <label class="control-label">
							 Capacity*
						</label></h5>
						
						 <input type="text" <?php echo (isset($vehicles_details['capacity']))?'value="'.$vehicles_details['capacity'].'"':null;?> class="form-control" name="capacity" id="capacity">
                        
                            </div>
                     <div class="form-group">
                    <label class="control-label">
							 Warehouse*
						</label></h5>
                            <select type="text" value="" class="form-control" name="warehouse_id" id="warehouse_id" >
                           
                          <?php																 
foreach ($warehouse_list as $row)
{?>  
                                                                        
<option value="<?php echo $row->id; ?>" 

<?php // if(isset($vehicle_id)&&$row->id==$suppliyer['warehouse_id'])echo 'selected="selected"'?>
>

<?php echo $row->name; ?> </option>

<?php }?>
                            
                            
                            
                             </select>
                            </div>
                    
                                                 -   
                    </div>
                </div>
            </div>
            <div class="modal-footer">
            <input type="submit" name="add_category" value="<?php echo $btnText; ?>" class="btn btn-primary">
            </div>
            </div> <!--/.col-md-12-->
</form>

<!-- start: JAVASCRIPTS REQUIRED FOR THIS PAGE ONLY VALIDATION-->
<script src="<?php echo asset_url(); ?>js/form-validation-create_vehicle.js"></script>
<!-- end: JAVASCRIPTS REQUIRED FOR THIS PAGE ONLY  VALIDATION-->

<script>
   jQuery(document).ready(function() {
        FormValidator.init();
   });
</script>
    
<script type="text/javascript">
function insertLocationData(){
	
var type=$('#type').val();
var vehicle_name=$('#vehicle_name').val();
var vehicle_code=$('#vehicle_code').val();
var vehicle_id=$('#vehicle_id').val();
var warehouse_id=$('#warehouse_id').val();
var capacity   = $('#capacity').val();
	$.post( "<?php echo base_url('vehicle/save_vehicle'); ?>", {type:type, vehicle_id:vehicle_id, vehicle_name:vehicle_name, vehicle_code:vehicle_code, warehouse_id:warehouse_id ,capacity:capacity})
	.done(function( data ) {
		
	  var obj = jQuery.parseJSON(data);
	   // alert(obj.type); //last id
	   
	   if (obj.status==0) 
	{
		$('div#error').html('<div class="alert alert-block alert-danger fade in"><button type="button" class="close" data-dismiss="alert">×</button><h4 class="alert-heading"><i class="fa fa-times-circle"></i> Error!</h4>'+obj.validation+'</div>');
		$('body').modalmanager('removeLoading');
		$('body').attr('class','');
	}
	 else {
			  /**/
	  if($('#vehicle_id')){
		  var data = {
	
		id: obj.id,
	
		text: $('#vehicle_name').val()
	
		};
	
		var newOption = new Option(data.text, data.id, false, true);
	
		$('#vehicle_id').append(newOption).trigger('change');
	
		$('#customer_id').focus();
	  }
	  else loadGrid();
	  /**/

	  $('div#ajax-modal').modal('hide');
	  // load location data
	  
	  if(obj.type=='E'){
		  
		  displayNotice('page','vehicle has been updated successfully!')
		  
		  setTimeout(function(){
		      location.reload(true);
		  },1000);
		  
	  }
	  if(obj.type=='A'){
			displayNotice('page','vehicle has been added successfully!')    
	  }
	 }
	  });
return false;
}
</script>